Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

nectar.reda.client.base
Class RedaModuleCache  view RedaModuleCache download RedaModuleCache.java

java.lang.Object
  extended bynectar.reda.client.base.RedaModuleCache

public class RedaModuleCache
extends java.lang.Object


Field Summary
private  java.util.HashMap map
           
 
Constructor Summary
RedaModuleCache()
          Creates a new instance of RedaModuleCache
 
Method Summary
 java.util.Map getModules()
          returns a [module-name] => [RedaModuleDescriptor] mapping of available modules.
 void loadJarsFromDir(java.lang.String path)
          attempts to read any *.jar files in the given path parameter, and stores their module name, file name and version number.
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

map

private java.util.HashMap map
Constructor Detail

RedaModuleCache

public RedaModuleCache()
Creates a new instance of RedaModuleCache

Method Detail

loadJarsFromDir

public void loadJarsFromDir(java.lang.String path)
                     throws java.io.IOException
attempts to read any *.jar files in the given path parameter, and stores their module name, file name and version number.


getModules

public java.util.Map getModules()
returns a [module-name] => [RedaModuleDescriptor] mapping of available modules.